Subject: [rbridge] Time to summarize "forward or block" BPDU thread

From: petera at nortel.com (Peter Ashwood-Smith)
Date: Tue, 18 Oct 2005 14:51:50 -0400

> 
> Hopefully nobody will interpret "out of ideas" as "giving in and 
> accepting that we have
> to have a single huge merged spanning tree because we've been 
> convinced 
> that BLOCK
> won't work".

  Lets hope not, clearly I meant "out of ideas" as to how to convince
folks that block really does work. At least not without a white board
and colored markers...

> I'm assuming Peter is saying the same thing I am. But without 
> speaking 
> for him, 

  Close enough ... yes. However I do feel it is worth enumerating the
different
approaches (even if we strongly disagree with them) so that they have
names and there is a place to attach the conclusions regarding their
desirability/correctness or lack thereof etc. Otherwise 3 months from
now we'll get the same set of questions. If they are already answered
/debated it saves time down the road.

  Peter

> let me say
> a) RBridges have to block. That's a nice simple clean thing 
> to do. It works
> b) I don't understand why people think there is a problem, 
> and I don't 
> think they've
> stated what they are worried about clearly enough, at least for me to 
> understand it
> c) It's really hard to argue when I don't understand what the 
> issue is.
> d) forwarding BPDUs is a really really bad, scary idea, and 
> will have no 
> advantages.
> 
> I'm guessing the anti-BLOCK folk are confused about where a packet 
> enters a bridged island, and where it
> leaves the bridged island. Perhaps there's no way to explain it in 
> email, and perhaps it could be
> all cleared up with a little off-list telephone conversation. 
> If anyone 
> wants to talk to me by phone, let me know,
> since hopefully it will clear things up and we can get on to other 
> issues, if there are any.
> 
> But I'll try to explain it yet another way.
> 
> Within the bridged island there is just a single tree. 
> Traffic can enter 
> that tree anywhere, and leave it
> anywhere. The only job of bridges within that island is to make that 
> happen....to accept traffic anywhere,
> and let it leave anywhere. Just as if the link were a token 
> ring, or token bus. The magic inside the link is irrelevant 
> to anything working on top of the link. Just so long as the 
> link creates 
> a fully connected, broadcast domain.
> 
> So the bridged island can be thought of, to RBridges, as a single 
> physical link.
> 
> Now try to imagine RBridges in a world without bridges, since the 
> bridges are inside the links,
> and successfully doing their job of creating a fully 
> connected broadcast 
> domain within the
> bridged island. As long as BPDUs are blocked, and the island 
> really is 
> isolated from the rest
> of the world except for devices that act as stations on that island 
> (like RBridges or routers or endnodes),
> any of the following are equivalent models of the link: a 
> single wire, a 
> bridged Ethernet, a token ring,
> a bridged token ring, a token bus, ....
> 
> If there's a problem with providing service on top of a link 
> which is a 
> fully
> connected broadcast domain, then IP routers have the same problem.
> 
> Radia
> 
> 
> 
> 
> 
> Peter Ashwood-Smith wrote:
> 
> >
> >
> >  Hopefully some of this or the previous explanation is enough to
> >convince folks that BLOCK does indeed work. .. if not ... well I'm 
> >out of ideas too.
> >
> >  Peter
> >
> >
> >
> >  
> >
> >_______________________________________________
> >rbridge mailing list
> >rbridge at postel.org http://www.postel.org/mailman/listinfo/rbridge
> >  
> >
> 
> _______________________________________________
> rbridge mailing list
> rbridge at postel.org http://www.postel.org/mailman/listinfo/rbridge
> 
>